/*
 * PlayState.h
 *
 *  Created on: 2009-07-10
 *      Author: wasyl
 */

#ifndef PLAYSTATE_H_
#define PLAYSTATE_H_

#include "../prep/ent/World.h"
#include "../prep/app/AppState.h"
#include "../thing/Game.h"
#include "../prep/input/Primaries.h"
#include "../thing/PopUp.h"
class Level;

class PlayState : public AppState<int>
{
private:
	int mNo;
	World mWorld;
	Key mQuit;
	double mZoom;
	PopUp *mPostMortem;

public:
	PlayState(int no, const char*);
	~PlayState();

	bool quitRequested();
	void update(double dt);
	void render(ALLEGRO_DISPLAY *disp);
};

#endif /* PLAYSTATE_H_ */
